---
title: "FreeBSD 8.3-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2012 The FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD: releng/8.3/release/doc/en_US.ISO8859-1/relnotes/article.sgml
234052 2012-04-09 04:44:39Z hrs $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>SPARC, SPARC64, SPARCengine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. SPARC International, Inc owns all of the SPARC
trademarks and under licensing agreements allows the proper use of these trademarks by
its members.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the &#8220;&trade;&#8221; or the &#8220;&reg;&#8221; symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN18" name="AEN18"></a>
<p>The release notes for FreeBSD 8.3-RELEASE contain a summary of the changes made to the
FreeBSD base system on the 8.3-STABLE development line. This document lists applicable
security advisories that were issued since the last release, as well as significant
changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also
presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.2 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.3 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.4 <a href="#FS">File Systems</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 8.3-RELEASE.&#09;It describes
recently added, changed, or deleted features of FreeBSD. It also provides some notes on
upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 8.3-RELEASE is a release distribution. It can be found at
<a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
mirrors.&#09; More information on obtaining this (or other) release distributions of
FreeBSD can be found in the <a
href="../../../../doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">&#8220;Obtaining FreeBSD&#8221; appendix</a> to the <a
href="../../../../doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with &#8220;late-breaking&#8221; information discovered late
in the release cycle or after the release.&#09; Typically, it contains information on
known bugs, security advisories, and corrections to documentation. An up-to-date copy of
the errata for FreeBSD 8.3-RELEASE can be found on the FreeBSD Web site.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
8.2-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
8.2-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>Problems described in the following security advisories have &#09;been fixed. For more
information, consult the individual &#09;advisories available from &#09;<a
href="http://security.FreeBSD.org/" target="_top">http://security.FreeBSD.org/</a>.</p>

<div class="INFORMALTABLE"><a id="AEN38" name="AEN38"></a>
<table border="0" frame="void" width="100%" class="CALSTABLE">
<col width="20%" />
<col width="20%" />
<col width="60%" />
<thead>
<tr>
<th>Advisory</th>
<th>Date</th>
<th>Topic</th>
</tr>
</thead>

<tbody>
<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:01.mountd.asc"
target="_top">SA-11:01.mountd</a></td>
<td>20&nbsp;April&nbsp;2011</td>
<td>
<p>Network ACL mishandling in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mountd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mountd</span>(8)</span></a></p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:02.bind.asc"
target="_top">SA-11:02.bind</a></td>
<td>28&nbsp;May&nbsp;2011</td>
<td>
<p>BIND remote DoS with large RRSIG RRsets and negative &#09;&#09; caching</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:04.compress.asc"
target="_top">SA-11:04.compress</a></td>
<td>28&nbsp;September&nbsp;2011</td>
<td>
<p>Errors handling corrupt compress file in &#09;&#09; <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=compress&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">compress</span>(1)</span></a> and
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gzip&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gzip</span>(1)</span></a></p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:05.unix.asc"
target="_top">SA-11:05.unix</a></td>
<td>28&nbsp;September&nbsp;2011</td>
<td>
<p>Buffer overflow in handling of UNIX socket &#09;&#09; addresses</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:06.bind.asc"
target="_top">SA-11:06.bind</a></td>
<td>23&nbsp;December&nbsp;2011</td>
<td>
<p>Remote packet Denial of Service against <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=named&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">named</span>(8)</span></a>
&#09;&#09; servers</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:07.chroot.asc"
target="_top">SA-11:07.chroot</a></td>
<td>23&nbsp;December&nbsp;2011</td>
<td>
<p>Code execution via chrooted ftpd</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:08.telnetd.asc"
target="_top">SA-11:08.telnetd</a></td>
<td>23&nbsp;December&nbsp;2011</td>
<td>
<p>telnetd code execution vulnerability</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:09.pam_ssh.asc"
target="_top">SA-11:09.pam_ssh</a></td>
<td>23&nbsp;December&nbsp;2011</td>
<td>
<p>pam_ssh improperly grants access when user account has &#09;&#09; unencrypted SSH
private keys</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-11:10.pam.asc"
target="_top">SA-11:10.pam</a></td>
<td>23&nbsp;December&nbsp;2011</td>
<td>
<p><code class="FUNCTION">pam_start()</code> does not validate &#09;&#09; service
names</p>
</td>
</tr>
</tbody>
</table>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>[amd64, i386] The FreeBSD &#09;<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dtrace&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dtrace</span>(1)</span></a>
framework now supports &#09;<tt class="LITERAL">systrace</tt> for system calls of
&#09;<tt class="LITERAL">linux32</tt> and <tt class="LITERAL">freebsd32</tt> on
&#09;FreeBSD/amd64. Two new &#09;<tt class="FILENAME">systrace_linux32</tt> and &#09;<tt
class="FILENAME">systrace_freebsd32</tt> kernel modules provide &#09;support for tracing
compat system calls in addition to the native &#09;system call tracing provided by the
&#09;<tt class="FILENAME">systrace</tt> module.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219107"
target="_top">r219107</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hhook&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hhook</span>(9)</span></a> (Helper
Hook) &#09;and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=khelp&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">khelp</span>(9)</span></a> (Kernel
Helpers) KPIs have been implemented. &#09;These are a kind of superset of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pfil&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pfil</span>(9)</span></a>
framework for &#09;more general use in the kernel. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hhook&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hhook</span>(9)</span></a> KPI
&#09;provides a way for kernel subsystems to export hook points &#09;that <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=khelp&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">khelp</span>(9)</span></a> modules
can hook to provide enhanced or new &#09;functionality to the kernel. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=khelp&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">khelp</span>(9)</span></a> KPI
provides a &#09;framework for managing <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=khelp&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">khelp</span>(9)</span></a>
modules, which indirectly &#09;use the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hhook&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hhook</span>(9)</span></a> KPI to
register their hook functions &#09;with hook points of interest within the kernel. These
allow a &#09;structured way to dynamically extend the kernel at runtime in &#09;an ABI
preserving manner.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222406"
target="_top">r222406</a>]</p>

<p>[amd64, i386, pc98] A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=loader&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">loader</span>(8)</span></a>
&#09;tunable <code class="VARNAME">hw.memtest.tests</code> has been added. &#09;This
controls whether to perform memory testing at boot time &#09;or not. The default value is
<tt class="LITERAL">1</tt> (perform a &#09;memory test).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230282"
target="_top">r230282</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=open&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">open</span>(2)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fhopen&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fhopen</span>(2)</span></a>
&#09;system calls now support the <tt class="LITERAL">O_CLOEXEC</tt> flag, &#09;which
allows setting the <tt class="LITERAL">FD_CLOEXEC</tt> flag for the &#09;newly created
file descriptor. This is standardized in IEEE &#09;Std 1003.1-2008 (POSIX, Single UNIX
Specification Version &#09;4).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220241"
target="_top">r220241</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=posix_fallocate&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">posix_fallocate</span>(2)</span></a> system call has &#09;been
implemented. This is a function in POSIX to ensure that &#09;a part of the storage for
regular file data is allocated on the &#09;file system storage media.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=227573"
target="_top">r227573</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=posix_fadvise&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">posix_fadvise</span>(2)</span></a>
system call &#09;has been implemented. This is a function in POSIX similar to &#09;<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=madvise&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">madvise</span>(2)</span></a>
except that it operates on a file descriptor &#09;instead of a memory region.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=229725"
target="_top">r229725</a>]</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.1 Hardware Support</a></h4>

<p>The FreeBSD <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=usb&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">usb</span>(4)</span></a> subsystem
now &#09; supports USB packet filter. This allows to capture packets &#09; which go
through each USB host controller. The &#09; implementation is almost based on <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bpf&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bpf</span>(4)</span></a> code.
&#09; The userland program <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=usbdump&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">usbdump</span>(8)</span></a> has
been added.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=221174"
target="_top">r221174</a>]</p>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.1.1 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cxgb&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cxgb</span>(4)</span></a> driver
has been &#09; updated to version 7.11.0.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220340"
target="_top">r220340</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cxgbe&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cxgbe</span>(4)</span></a> driver
for Chelsio &#09; T4 (Terminator 4) based 10Gb/1Gb adapters has been &#09; added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219633"
target="_top">r219633</a>]</p>

<p>[i386] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dc&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">dc</span>(4)</span></a> driver &#09;
now works correctly in kernels with the &#09; <code class="OPTION">PAE</code> option.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220072"
target="_top">r220072</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver has been
&#09; updated to version 7.3.2.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230848"
target="_top">r230848</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=igb&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">igb</span>(4)</span></a> driver
has been &#09; updated to version 2.3.1.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230848"
target="_top">r230848</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=igb&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">igb</span>(4)</span></a> driver
now supports &#09; Intel I350 PCIe Gigabit Ethernet controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230848"
target="_top">r230848</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ixgbe&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ixgbe</span>(4)</span></a> driver
has been &#09; updated to version 2.4.5.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230924"
target="_top">r230924</a>]</p>

<p>Firmware images in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=iwn&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">iwn</span>(4)</span></a> &#09;
driver for 1000, 5000, 6000, and 6500 series cards have been &#09; updated.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=223255"
target="_top">r223255</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=msk&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">msk</span>(4)</span></a> driver
now supports &#09; RX checksum offloading for Yukon EC, Yukon Ultra, Yukon FE &#09; and
Yukon Ultra2. The checksum offloading for Yukon XL &#09; was still disabled due to known
silicon bug.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=223394"
target="_top">r223394</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nfe&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nfe</span>(4)</span></a> driver
which &#09; could prevent reinitialization after changing the MTU has &#09; been
fixed.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218872"
target="_top">r218872</a>]</p>

<p>A rdcphy(4) driver for RDC Semiconductor &#09; R6040 10/100 PHY has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218294"
target="_top">r218294</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports &#09; RTL8168E/8111E-VL PCIe Gigabit Ethernet controllers and &#09; RTL8401E
PCIe Fast Ethernet controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218901"
target="_top">r218901</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219116"
target="_top">r219116</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports &#09; TX interrupt moderation on RTL810xE PCIe Fast Ethernet &#09;
controllers.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218905"
target="_top">r218905</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports &#09; another mechanism for RX interrupt moderation because of &#09; performance
problems. A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable &#09; <code class="VARNAME">dev.re.<tt
class="REPLACEABLE"><i>N</i></tt>.int_rx_mod</code> &#09; has been added to control
amount of time to delay RX &#09; interrupt processing, in units of microsecond. Setting
it &#09; to <tt class="LITERAL">0</tt> completely disables RX interrupt &#09; moderation.
A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=loader&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">loader</span>(8)</span></a>
tunable &#09; <code class="VARNAME">hw.re.intr_filter</code> controls whether the &#09;
old mechanism utilizing MSI/MSI-X capability on &#09; supported controllers is used or
not. When set to &#09; a non-zero value, the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver uses the
old &#09; mechanism. The default value is <tt class="LITERAL">0</tt> and &#09; this
tunable has no effect on controllers without MSI/MSI-X &#09; capability.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219110"
target="_top">r219110</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
&#09; supports TSO (TCP Segmentation Offload) on RealTek &#09; RTL8168/8111 C or later
controllers. Note that this is &#09; disabled by default because broken frames can be
sent &#09; under certain conditions.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218897"
target="_top">r218897</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
&#09; supports enabling TX and/or RX checksum offloading &#09; independently from each
other. Note that TX IP checksum &#09; is disabled on some RTL8168C-based network
interfaces &#09; because it can generate an incorrect IP checksum when the &#09; packet
contains IP options.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218899"
target="_top">r218899</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219114"
target="_top">r219114</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports &#09; RTL8105E PCIe Fast Ethernet controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=229530"
target="_top">r229530</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vte&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vte</span>(4)</span></a> driver
for RDC R6040 Fast &#09; Ethernet controllers, which are commonly found on the Vortex86
&#09; System On a Chip, has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218296"
target="_top">r218296</a>]</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.2 Network Protocols</a></h4>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(8)</span></a> now
supports the &#09; <tt class="COMMAND">call</tt> and <tt class="COMMAND">return</tt>
&#09; actions. Upon the <tt class="COMMAND">call &#09; <tt
class="REPLACEABLE"><i>number</i></tt></tt> action, the &#09; current rule number is
saved in the internal stack and &#09; ruleset processing continues with the first rule
numbered &#09; <tt class="REPLACEABLE"><i>number</i></tt> or higher. The &#09; <tt
class="COMMAND">return</tt> action takes the rule number saved &#09; to internal stack by
the latest <tt class="COMMAND">call</tt> &#09; action and returns ruleset processing to
the first rule with &#09; number greater than that saved number.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=230575"
target="_top">r230575</a>]</p>

<p>FreeBSD's <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipsec&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipsec</span>(4)</span></a> support
now uses &#09; half of the hash size as the authenticator hash size in &#09; Hashed
Message Authentication Mode (HMAC-SHA-256, &#09; HMAC-SHA-384, and HMAC-SHA-512) as
described in RFC 4868. &#09; This was a fixed 96-bit length in prior releases because the
&#09; implementation was based on an old Internet draft &#09;
draft-ietf-ipsec-ciph-sha-256-00. Note that this means &#09; 8.3-RELEASE and later are no
longer interoperable with &#09; the older FreeBSD releases.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=221157"
target="_top">r221157</a>]</p>

<p>A bug in the &#09; <tt class="LITERAL">IPV6_PKTINFO</tt> option used in &#09; <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sendmsg&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sendmsg</span>(2)</span></a> has
been fixed. The &#09; <tt class="LITERAL">IPV6_USE_MIN_MTU</tt> state set by &#09; <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=setsockopt&sektion=2&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">setsockopt</span>(2)</span></a>
was ignored.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=232560"
target="_top">r232560</a>]</p>

<p>The &#09; FreeBSD TCP/IP network stack now supports the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mod_cc&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mod_cc</span>(9)</span></a>
pluggable &#09; congestion control framework. This allows TCP congestion &#09; control
algorithms to be implemented as dynamically loadable &#09; kernel modules. The following
kernel modules are available &#09; as of 8.3-RELEASE: <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_chd&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_chd</span>(4)</span></a> for
the &#09; CAIA-Hamilton-Delay algorithm, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_cubic&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_cubic</span>(4)</span></a> for
the CUBIC &#09; algorithm, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_hd&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_hd</span>(4)</span></a> for the
Hamilton-Delay algorithm, &#09; <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_htcp&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_htcp</span>(4)</span></a> for
the H-TCP algorithm, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_newreno&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_newreno</span>(4)</span></a>
for &#09; the NewReno algorithm, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cc_vegas&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cc_vegas</span>(4)</span></a> for
the Vegas algorithm. &#09; The default algorithm can be set by a new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a> &#09;
variable <code class="VARNAME">net.inet.tcp.cc.algorithm</code>. The &#09; value must be
set to one of the names listed by &#09; <code
class="VARNAME">net.inet.tcp.cc.available</code>, and &#09; <tt
class="LITERAL">newreno</tt> is the default set at boot time. &#09; For more &#09;
detail, see the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mod_cc&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mod_cc</span>(4)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mod_cc&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mod_cc</span>(9)</span></a> manual
pages.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222401"
target="_top">r222401</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222402"
target="_top">r222402</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222403"
target="_top">r222403</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222404"
target="_top">r222404</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222406"
target="_top">r222406</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222407"
target="_top">r222407</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222408"
target="_top">r222408</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222409"
target="_top">r222409</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222411"
target="_top">r222411</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222412"
target="_top">r222412</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222413"
target="_top">r222413</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222419"
target="_top">r222419</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=225738"
target="_top">r225738</a>]</p>

<p>An <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=h_ertt&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">h_ertt</span>(4)</span></a>
(Enhanced Round Trip &#09; Time) <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=khelp&sektion=9&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">khelp</span>(9)</span></a> module
has been added. This module &#09; allows per-connection, low noise estimates of the &#09;
instantaneous RTT in the TCP/IP network stack with a robust &#09; implementation even in
the face of delayed acknowledgments &#09; and/or TSO (TCP Segmentation Offload) being in
use for a &#09; connection.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222410"
target="_top">r222410</a>]</p>

<p>A new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tcp&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tcp</span>(4)</span></a> socket
option &#09; <tt class="LITERAL">TCP_CONGESTION</tt> has been added. This &#09; allows to
select or query the congestion control algorithm &#09; that the TCP/IP network stack will
use for connections on &#09; the socket.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222401"
target="_top">r222401</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_ipfw&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_ipfw</span>(4)</span></a> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a>
&#09; node now supports IPv6.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=225876"
target="_top">r225876</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_one2many&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_one2many</span>(4)</span></a>
&#09; <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a> node
now supports the &#09; <tt class="LITERAL">XMIT_FAILOVER</tt> transmit algorithm. This
&#09; makes packets deliver out of the first active &#09; <tt class="LITERAL">many</tt>
hook.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219660"
target="_top">r219660</a>]</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.3 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ada&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ada</span>(4)</span></a> driver
now supports &#09; write cache control. A new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable &#09; <code class="VARNAME">kern.cam.ada.write_cache</code> determines &#09;
whether the write cache of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ada&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ada</span>(4)</span></a> devices
is enabled or &#09; not. Setting to <tt class="LITERAL">1</tt> enables and &#09; <tt
class="LITERAL">0</tt> disables the write cache, and <tt class="LITERAL">-1</tt> &#09;
leaves the device default behavior. <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variables &#09; <code class="VARNAME">kern.cam.ada.<tt
class="REPLACEABLE"><i>N</i></tt>.write_cache</code> &#09; can override the configuration
in a per-device basis (the &#09; default value is <tt class="LITERAL">-1</tt>, which
means to use &#09; the global setting). Note that the value can be changed at &#09;
runtime, but it takes effect only after a device &#09; reset.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220841"
target="_top">r220841</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=arcmsr&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">arcmsr</span>(4)</span></a> driver
has been &#09; updated to version 1.20.00.22.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=224991"
target="_top">r224991</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=graid&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">graid</span>(8)</span></a> GEOM
class has been &#09; added. This is a replacement of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ataraid&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ataraid</span>(4)</span></a>
driver &#09; supporting various BIOS-based software RAID.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=223177"
target="_top">r223177</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mxge&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mxge</span>(4)</span></a> driver
has been &#09; updated.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=224235"
target="_top">r224235</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tws&sektion=4&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tws</span>(4)</span></a> driver
for 3ware 9750 &#09; SATA+SAS 6Gb/s RAID controllers has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=226243"
target="_top">r226243</a>]</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.4 File Systems</a></h4>

<p>The FreeBSD Fast File System now &#09; supports the <tt class="LITERAL">TRIM</tt>
command when freeing data &#09; blocks. A new flag <code class="OPTION">-t</code> in the
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newfs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newfs</span>(8)</span></a> &#09;
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tunefs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tunefs</span>(8)</span></a>
utilities sets the TRIM-enable flag for a &#09; file system. The TRIM-enable flag makes
the file system &#09; send a delete request to the underlying device for each &#09; freed
block. The <tt class="LITERAL">TRIM</tt> command is &#09; specified as a Data Set
Management Command in the ATA8-ACS2 &#09; standard to carry the information related to
deleted data &#09; blocks to a device, especially for a SSD (Solid-State Drive) for &#09;
optimization.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218079"
target="_top">r218079</a>]</p>

<p>A new flag <code class="OPTION">-E</code> has &#09; been added to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newfs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newfs</span>(8)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fsck_ffs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fsck_ffs</span>(8)</span></a>
utilities. &#09; This clears unallocated blocks, notifying the underlying &#09; device
that they are not used and that their contents may be &#09; discarded. This is useful in
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fsck_ffs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fsck_ffs</span>(8)</span></a> for
file &#09; systems which have been mounted on systems without &#09; <tt
class="LITERAL">TRIM</tt> support, or with &#09; <tt class="LITERAL">TRIM</tt> support
disabled, as well as &#09; filesystems which have been copied from one device to &#09;
another.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=225296"
target="_top">r225296</a>]</p>

<p>The FreeBSD NFS subsystem now supports a &#09; <code class="OPTION">nocto</code> mount
option. This disables the &#09; close-to-open cache coherency check at open time. This
&#09; option may improve performance for read-only mounts, but &#09; should only be used
only if the data on the server changes &#09; rarely. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mount_nfs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mount_nfs</span>(8)</span></a>
utility now also supports &#09; this flag keyword.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=221759"
target="_top">r221759</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=loader&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">loader</span>(8)</span></a>
tunable &#09; <code class="VARNAME">vfs.typenumhash</code> has been added. Setting &#09;
this to <tt class="LITERAL">1</tt> enables to use a hash &#09; calculation on the file
system identification number &#09; internally used in the kernel. This fixes the
&#8220;Stale &#09; NFS file handle&#8221; error on NFS clients when upgrading &#09; or
rebuilding the kernel on the NFS server due to unexpected &#09; change of these
identification number values. Note that &#09; this is set to <tt class="LITERAL">0</tt>
(disable) by default for &#09; backward compatibility.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=226926"
target="_top">r226926</a>]</p>

<p>The FreeBSD ZFS subsystem has been &#09; updated to the SPA (Storage Pool Allocator,
also known as &#09; zpool) version 28. It now supports data deduplication, &#09; triple
parity RAIDZ (raidz3), snapshot holds, log device &#09; removal, zfs diff, zpool split,
zpool import &#09; <code class="OPTION">-F</code>, and read-only zpool import.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=222741"
target="_top">r222741</a>]</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bsdtar&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bsdtar</span>(1)</span></a> and
&#09;<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cpio&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cpio</span>(1)</span></a>
utilities are now based on &#09;<b class="APPLICATION">libarchive</b> version 2.8.5.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=229589"
target="_top">r229589</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cpuset&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cpuset</span>(1)</span></a>
utility now supports &#09;a <code class="OPTION">-C</code> flag to create a new cpuset
and assign &#09;an existing process into that set, and an &#09;<tt
class="LITERAL">all</tt> keyword in the <code class="OPTION">-l &#09;<tt
class="REPLACEABLE"><i>cpu-list</i></tt></code> option to specify &#09;all CPUs in the
system.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218033"
target="_top">r218033</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fetch&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fetch</span>(1)</span></a> utility
which &#09;could prevent the <tt class="COMMAND">STAT</tt> FTP command from working
&#09;properly has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=221764"
target="_top">r221764</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports a &#09;<code class="OPTION">-p</code> flag to the <tt
class="COMMAND">show</tt> &#09;subcommand. This allows showing providers' names of
&#09;partitions instead of the partitions' indexes.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219861"
target="_top">r219861</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hastd</span>(8)</span></a> utility
now drops &#09;<tt class="LITERAL">root</tt> privileges of the worker processes to the
&#09;<tt class="LITERAL">hast</tt> user.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220104"
target="_top">r220104</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hastd</span>(8)</span></a> utility
now supports a &#09;<tt class="LITERAL">checksum</tt> keyword to specify the checksum
&#09;algorithm in a <tt class="LITERAL">resource</tt> section. As of &#09;8.3-RELEASE,
<tt class="LITERAL">none</tt>, &#09;<tt class="LITERAL">sha256</tt>, and <tt
class="LITERAL">crc32</tt> are &#09;supported.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220104"
target="_top">r220104</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hastd</span>(8)</span></a> utility
now supports a &#09;<tt class="LITERAL">compression</tt> keyword to specify the
compression &#09;algorithm in a <tt class="LITERAL">resource</tt> section. As of
&#09;8.3-RELEASE, <tt class="LITERAL">none</tt>, &#09;<tt class="LITERAL">hole</tt> and
<tt class="LITERAL">lzf</tt> are &#09;supported.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220104"
target="_top">r220104</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hastd</span>(8)</span></a> utility
now supports a &#09;<tt class="LITERAL">source</tt> keyword to specify the local address
&#09;to bind to before connecting the remote <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">hastd</span>(8)</span></a>&#09;daemon.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220104"
target="_top">r220104</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=readline&sektion=3&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">readline</span>(3)</span></a> API
set has been &#09;imported into <b class="APPLICATION">libedit</b>. This is &#09;based on
NetBSD's implementation and BSD licensed utilities &#09;now use it instead of GNU &#09;<b
class="APPLICATION">libreadline</b>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=220612"
target="_top">r220612</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=makefs&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">makefs</span>(8)</span></a>
utility now supports the &#09;ISO 9660 format.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=224447"
target="_top">r224447</a>]</p>

<p><b class="APPLICATION">libmd</b> &#09;and <b class="APPLICATION">libcrypt</b> now
support the SHA-256 &#09;and SHA-512 algorithms.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=231588"
target="_top">r231588</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netstat&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netstat</span>(1)</span></a>
utility now does not &#09;expose the internal scope address representation used in the
FreeBSD &#09;kernel, which is derived from KAME IPv6 stack, in the results &#09;of <tt
class="COMMAND">netstat -ani</tt> and <tt class="COMMAND">netstat &#09; -nr</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219062"
target="_top">r219062</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newsyslog</span>(8)</span></a>
utility now &#09;supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xz&sektion=1&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">xz</span>(1)</span></a> compression. An
<tt class="LITERAL">X</tt> flag &#09;in the optional field has been added to specify the
&#09;compression.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=218911"
target="_top">r218911</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=poweroff&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">poweroff</span>(8)</span></a>
utility has been added. &#09;This is equivalent to:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=224259"
target="_top">r224259</a>]</p>

<pre class="SCREEN">
<samp class="PROMPT">#</samp> shutdown -p now
</pre>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ppp&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ppp</span>(8)</span></a> utility
now supports &#09;<tt class="COMMAND">iface name <tt
class="REPLACEABLE"><i>name</i></tt></tt> &#09;and <tt class="COMMAND">iface description
&#09;<tt class="REPLACEABLE"><i>description</i></tt></tt> commands. &#09;These have the
same functionalities as the <tt class="LITERAL">name</tt> &#09;and <tt
class="LITERAL">description</tt> subcommands of the &#09;<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a>
utility.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=224285"
target="_top">r224285</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=FreeBSD+8.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">ps</span>(1)</span></a> utility now
supports &#09;<code class="OPTION">-o usertime</code> and <code class="OPTION">-o
systime</code> &#09;options to display accumulated system and user CPU time,
&#09;respectively.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219943"
target="_top">r219943</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rtadvd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rtadvd</span>(8)</span></a> daemon
now supports a &#09;<tt class="LITERAL">noifprefix</tt> keyword to disable gathering
&#09;on-link prefixes from interfaces when no &#09;<tt class="LITERAL">addr</tt> keyword
is specified. An entry in &#09;<tt class="FILENAME">/etc/rtadvd.conf</tt> with &#09;<tt
class="LITERAL">noifprefix</tt> and no <tt class="LITERAL">addr</tt> &#09;generates an RA
message with no prefix information &#09;option.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=231802"
target="_top">r231802</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rtadvd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rtadvd</span>(8)</span></a> daemon
now &#09;supports the RDNSS and DNSSL options described in RFC 6106, &#09;&#8220;IPv6
Router Advertisement Options for DNS &#09;Configuration&#8221;. A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rtadvctl&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rtadvctl</span>(8)</span></a>
utility to control &#09;the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rtadvd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rtadvd</span>(8)</span></a> daemon
has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=231802"
target="_top">r231802</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tftpd&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tftpd</span>(8)</span></a> daemon
has &#09;been fixed. It had an interoperability issue when &#09;transferring a large
file.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=227083"
target="_top">r227083</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=zpool&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">zpool</span>(8)</span></a>:
utility now supports a &#09;<tt class="COMMAND">zpool labelclear</tt> command. This
allows to &#09;wipe the label data from a drive that is not active in a &#09;pool.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=229570"
target="_top">r229570</a>]</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p>The <b class="APPLICATION">awk</b> has &#09;been updated to the 7 August 2011
release.</p>

<p><b class="APPLICATION">ISC BIND</b> has &#09;been updated to version
9.6-ESV-R5-P1.</p>

<p>The <tt class="LITERAL">netcat</tt> utility &#09;has been updated to version 4.9.</p>

<p><b class="APPLICATION">GNU GCC</b> and &#09;<b class="APPLICATION">libstdc++</b> have
been updated to rev &#09;127959 of <tt class="LITERAL">gcc-4_2-branch</tt> (the last
&#09;GPLv2-licensed version).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=221274"
target="_top">r221274</a>]</p>

<p>The <b class="APPLICATION">LESS</b> &#09;program has been updated to version v444.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=223454"
target="_top">r223454</a>]</p>

<p>The &#09;<b class="APPLICATION">OpenSSH</b> utility has been updated to &#09;5.4p1,
and optimization for large bandwidth-delay product &#09;connection and <tt
class="LITERAL">none</tt> cipher support have &#09;been merged[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=228152"
target="_top">r228152</a>]</p>

<p><b class="APPLICATION">sendmail</b> &#09;has been updated to version 8.14.5.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=223315"
target="_top">r223315</a>]</p>

<p>The <b class="APPLICATION">timezone</b> &#09;database has been updated to the &#09;<b
class="APPLICATION">tzdata2011n</b> release.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&revision=226977"
target="_top">r226977</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=unifdef&sektion=1&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">unifdef</span>(1)</span></a>
utility has been updated &#09;to version 2.5.6.</p>

<p>The <b class="APPLICATION">xz</b> &#09;program has been updated from 5.0.0 to
5.0.1.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&revision=219219"
target="_top">r219219</a>]</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p>The supported version of &#09;the <b class="APPLICATION">KDE</b> desktop environment
&#09;(<a href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde4/pkg-descr"><tt
class="FILENAME">x11/kde4</tt></a>) has been &#09;updated from 4.5.5 to 4.7.4.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>[amd64, i386] Upgrades between RELEASE versions (and snapshots of the various security
branches) are supported using the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility. The binary upgrade
procedure will update unmodified userland utilities, as well as unmodified GENERIC kernel
distributed as a part of an official FreeBSD release. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility requires that the host
being upgraded has Internet connectivity.</p>

<p>An older form of binary upgrade is supported through the <tt
class="COMMAND">Upgrade</tt> option from the main <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+8.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
menu on CDROM distribution media. This type of binary upgrade may be useful on non-i386,
non-amd64 machines or on systems with no Internet connectivity.</p>

<p>Source-based upgrades (those based on recompiling the FreeBSD base system from source
code) from previous versions are supported, according to the instructions in <tt
class="FILENAME">/usr/src/UPDATING</tt>.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after
&#09;backing up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and
configuration &#09;files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


